#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Jul 25 16:00:16 2023

@author: kkkk
"""

import pandas as pd
import numpy as np
from scipy.stats import pearsonr

# 读取数据文件
data = pd.read_excel('/Users/kkkk/Desktop/B站科普视频的封面研究/科普视频数据表格/数据-最终.xlsx')

# 提取相关列
columns = ['点赞', '粉丝', '弹幕', '色彩丰富度指数new', '亮度指数new', '图像质量参数', '实际播放量']
df = data[columns]

# 计算皮尔逊相关系数和p值
correlation_matrix = df.corr()
p_values = df.corr(method=lambda x, y: pearsonr(x, y)[1])

# 将结果保留到5位小数
correlation_matrix = correlation_matrix.round(5)
p_values = p_values.round(5)

# 打印相关系数矩阵和p值
print("相关系数矩阵:")
print(correlation_matrix)
print("\n对应的p值:")
print(p_values)
